# TrueAudio

True Audio audio stream information and tags.

True Audio is a lossless format designed for real-time encoding and decoding. This module is based on the documentation at http://tausoft.org/wiki/True_Audio_Codec_Format

True Audio files use ID3 tags.

class mutagen.trueaudio.TrueAudio(filething, ID3=None)

  Bases: `ID3FileType`

  A True Audio file.

  Parameters:

    - filething (filething)

    - ID3 (mutagen.id3.ID3)

  info
    Type:

      `TrueAudioInfo`

  tags
    Type:

      `mutagen.id3.ID3`

  static score(filename, fileobj, header)

    Returns a score for how likely the file can be parsed by this type.

    Parameters:

      - filename (fspath) – a file path

      - fileobj (fileobj) – a file object open in rb mode. Position is undefined

      - header (bytes) – data of undefined length, starts with the start of the file.

    Returns:

      negative if definitely not a matching type, otherwise a score,

        the bigger the more certain that the file can be loaded.

    Return type:

      int

class mutagen.trueaudio.TrueAudioInfo

  True Audio stream information.

  length

    audio length, in seconds

    Type:

      `float`

  sample_rate

    audio sample rate, in Hz

    Type:

      `int`

  pprint()
    Returns:

      Print stream information

    Return type:

      text

class mutagen.trueaudio.EasyTrueAudio(filething, ID3=None)

  Bases: `TrueAudio`

  Like MP3, but uses EasyID3 for tags.

  Parameters:

    - filething (filething)

    - ID3 (mutagen.id3.ID3)

  info
    Type:

      `TrueAudioInfo`

  tags
    Type:

      `mutagen.easyid3.EasyID3`